Google Web Toolkit (Beta)
Search this site:

# Class JArrayType

public class JArrayType
extends JType
Type representing a Java array.

## Methods

getComponentType() |
getJNISignature() |
getLeafType() |
getParameterizedQualifiedSourceName() |
getQualifiedSourceName() |
getRank() |
getSimpleSourceName() |
isArray() |
isClass() |
isInterface() |
isParameterized() |
isPrimitive() |
setLeafType(JType) |
toString() |

## Method Detail

### getComponentType

public JType getComponentType()

### getJNISignature

public abstract String getJNISignature()

### getLeafType

public JType getLeafType()

### getParameterizedQualifiedSourceName

public String getParameterizedQualifiedSourceName()

### getQualifiedSourceName

public abstract String getQualifiedSourceName()

### getRank

public int getRank()

### getSimpleSourceName

public abstract String getSimpleSourceName()

### isArray

public abstract JArrayType isArray()

### isClass

public abstract JClassType isClass()

### isInterface

public abstract JClassType isInterface()

### isParameterized

public abstract JParameterizedType isParameterized()

### isPrimitive

public abstract JPrimitiveType isPrimitive()

### setLeafType

public void setLeafType(JType type)

#### Parameters

type

### toString

public String toString()